// 指定されたフォルダにあるAIファイル中にepsファイルがあるか調べる
function checkEPS(saveObj){
	var count = 0;
	var pItems = activeDocument.placedItems;
	for(var i=0; i<pItems.length; i++){
		var ptr = pItems[i].file.name.indexOf(".eps");
		if(ptr > -1){
			saveObj.writeln(pItems[i].file.fsName+"　★"+pItems[i].layer.name);
			count++;
			try {
				pItems[i].selected = true;
			}catch(e){
				// レイヤーロックを解除
				pItems[i].layer.locked = false;
				pItems[i].locked = false;
				pItems[i].selected = true;
			}
		}
	}
	// 結果を出力
	if (count > 0){
		saveObj.writeln("---------------------------");
		saveObj.writeln("合計"+pItems.length+"個のうちEPSファイルは"+count+"個でした");
	}else{
		saveObj.writeln("EPSファイルは含まれていませんでした。");
	}
	saveObj.writeln("=================");
}
(function (){
	var checkFolder = Folder.selectDialog("調べるAIファイルがあるフォルダを選択してください");
	if (!checkFolder){ return; }	// キャンセルした場合は何もしない
	var fileList = checkFolder.getFiles("*.ai");
	if (fileList.length < 1){
		alert("AIファイルがありません");
		return;
	}
	var f = File.saveDialog("保存ファイル名を指定してください");
	if (!f){ return; }
	var flag = f.open("w");
	if (!flag){ return; }
	for(var i=0; i<fileList.length; i++){
		app.open(fileList[i]);
		f.writeln("■ファイル："+fileList[i].name);
		checkEPS(f);
		app.activeDocument.close(SaveOptions.DONOTSAVECHANGES);
	}
	f.close();
})();


